## diveintopython3 20110218

=== debian/changelog ===
diveintopython3 (20110218-1) unstable; urgency=low

  * Initial release (Closes: #612100)

 -- Christian Kastner <debian@kvr.at>  Fri, 11 Mar 2011 22:56:38 +0100
