=== debian/control ===
Source: diveintopython3
Section: doc
Priority: optional
Maintainer: Christian Kastner <debian@kvr.at>
Build-Depends:
    debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://www.diveintopython3.org/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/diveintopython3/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/diveintopython3/trunk/

Package: diveintopython3
Architecture: all
Depends:
    ${misc:Depends},
    libjs-jquery
Recommends:
    python3,
    python3-doc
Suggests:
    diveintopython
Description: Book for learning Python 3
 "Dive Into Python 3" is the successor to Mark Pilgrim's "Dive Into Python", a
 popular book for learning programming with Python 2.x. It has been adapted to
 Python 3.x, and contains about 20% revised and 80% new material.
