=== debian/watch ===
version=3

opts=\
uversionmangle=s/r\d+-//;s/-//g \
http://diveintopython3.org/d/ diveintopython3-html-(.*)\.zip
