## diveintopython3 20110517%2B77958af

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: doc
 Priority: optional
 Maintainer: Christian Kastner <debian@kvr.at>
+DM-Upload-Allowed: yes
 Build-Depends:
-    debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+    debhelper (>= 9)
+Standards-Version: 3.9.3
 Homepage: http://www.diveintopython3.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/diveintopython3/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/diveintopython3/trunk/
