=== debian/control ===
Source: diveintopython3
Section: doc
Priority: optional
Maintainer: Christian Kastner <debian@kvr.at>
Build-Depends:
    debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://www.diveintopython3.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/diveintopython3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/diveintopython3.git

Package: diveintopython3
Architecture: all
Depends:
    ${misc:Depends},
    libjs-jquery
Recommends:
    python3,
    python3-doc
Suggests:
    diveintopython
Description: book for learning Python 3
 "Dive Into Python 3" is the successor to Mark Pilgrim's "Dive Into Python", a
 popular book for learning programming with Python 2.x. It has been adapted to
 Python 3.x, and contains about 20% revised and 80% new material.
