=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,21 @@
 		's|<br><img src="i/cover.jpg"[^<]*||' \
 		debian/diveintopython3/usr/share/doc/diveintopython3/html/index.html
 
+	# Rewrite all dead diveintopython{,3}.org URLs to the active .net copy
+	sed -i -r -e \
+		's|(diveintopython3?)\.org|\1.net|g' \
+		debian/diveintopython3/usr/share/doc/diveintopython3/html/*.html
+
+
+override_dh_installexamples:
+	dh_installexamples
+	
+	# Rewrite all dead diveintopython{,3}.org URLs to the active .net copy
+	# (This time, for the examples)
+	sed -i -r -e \
+		's|(diveintopython3?)\.org|\1.net|g' \
+		debian/diveintopython3/usr/share/doc/diveintopython3/examples/*.py
+
 
 # Don't compress anything in examples, and exclude some javascript files
 override_dh_compress:
