## diveintopython3 20110517.77958af%2Bdfsg

=== debian/changelog ===
diveintopython3 (20110517.77958af+dfsg-1) unstable; urgency=medium

  * Improved version number.
  * d/control:
    - Switch Maintainer email to my @debian.org address
    - Update Vcs-Browser URL (cgit instead of gitweb)
  * d/copyright:
    - Bump copyright years
    - Drop entry for removed file html5.js
  * lintian:
    - Add source override for source-is-missing false positive
  * d/rules:
    - Remove all references to removed file html5.js
    - Switch to xz compression in get-orig-source
    - Update version processing for get-orig-source

 -- Christian Kastner <ckk@debian.org>  Thu, 01 Oct 2015 23:14:55 +0200
