=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: diveintopython3
 Section: doc
 Priority: optional
-Maintainer: Christian Kastner <debian@kvr.at>
+Maintainer: Christian Kastner <ckk@debian.org>
 Build-Depends:
     debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: http://www.diveintopython3.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/diveintopython3.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/diveintopython3.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/diveintopython3.git
 
 Package: diveintopython3
 Architecture: all
