## diveintopython3 20110517.77958af+dfsg

=== debian/control ===
Source: diveintopython3
Section: doc
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper (>= 9),
Standards-Version: 3.9.8
Homepage: http://www.diveintopython3.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/diveintopython3.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/diveintopython3.git

Package: diveintopython3
Architecture: all
Depends:
    ${misc:Depends},
    libjs-jquery,
Recommends:
    python3,
    python3-doc,
Suggests:
    diveintopython,
Description: book for learning Python 3
 "Dive Into Python 3" is the successor to Mark Pilgrim's "Dive Into Python", a
 popular book for learning programming with Python 2.x. It has been adapted to
 Python 3.x, and contains about 20% revised and 80% new material.
