=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,12 @@
 
 
 PKGDIR = $(dir $(firstword $(MAKEFILE_LIST)))..
-UPVER = $(shell cd $(PKGDIR) && dpkg-parsechangelog | \
-		sed -rne 's,^Version: ([^+]+).*,\1,p')
-UPCOMMIT = $(shell cd $(PKGDIR) && dpkg-parsechangelog | \
-		sed -rne 's,^Version: [[:digit:]]+\+([[:xdigit:]]+)-.*,\1,p')
+UPDATE = $(shell cd $(PKGDIR) && dpkg-parsechangelog -SVersion | \
+		sed -rne 's,([^.]+).*,\1,p')
+UPCOMMIT = $(shell cd $(PKGDIR) && dpkg-parsechangelog -S Version | \
+		sed -rne 's,^[[:digit:]]+\.([[:xdigit:]]+)\+dfsg-.*,\1,p')
 RAW_SOURCE = diveintomark-diveintopython3-$(UPCOMMIT)
-ORIG_SOURCE = diveintopython3-$(UPVER)-$(UPCOMMIT).orig
+ORIG_SOURCE = diveintopython3-$(UPDATE).$(UPCOMMIT)+dfsg.orig
 
 # We want to download from GitHub using a specific commit, not a tag.
 # Therefore, we cannot use uscan or githubredir.
@@ -27,6 +27,10 @@
 # Use package libjs-jquery; mangle URLs
 override_dh_install:
 	dh_install
+
+	# Remove all references to file with lost source
+	sed -i -r -e 's|<!--\[if IE\]><script src=j/html5\.js></script><!\[endif\]-->||' \
+		debian/diveintopython3/usr/share/doc/diveintopython3/html/*.html
 
 	# Point to local Python3 docs instead of official at docs.python.org
 	sed -i -e \
@@ -81,15 +85,15 @@
 	cd $(RAW_SOURCE) && \
 		cp *.html dip3.css ../$(ORIG_SOURCE)/ && \
 		cp i/*.png ../$(ORIG_SOURCE)/i/ && \
-		cp j/dip3.js j/html5.js j/prettify.js ../$(ORIG_SOURCE)/j/ && \
+		cp j/dip3.js j/prettify.js ../$(ORIG_SOURCE)/j/ && \
 		cp examples/*.jpg examples/*.json examples/*.pickle examples/*.py \
 			examples/*.txt examples/*.xml ../$(ORIG_SOURCE)/examples/
 	
 	# Cleanup source
 	find $(ORIG_SOURCE) -type f -exec chmod 644 '{}' \;
 
-	GZIP="-9" tar --owner=root --group=root --mode=a+rX \
-			-czf diveintopython3_$(UPVER)+$(UPCOMMIT).orig.tar.gz \
+	tar --xz --owner=root --group=root --mode=a+rX \
+			-cf diveintopython3_$(UPVER)+$(UPCOMMIT)+dfsg.orig.tar.xz \
 			$(ORIG_SOURCE)
 	
 	rm -rf $(RAW_SOURCE) $(ORIG_SOURCE)
